source: mod_gnutls/test/Makefile.in @ 71e9a5c

debian/masterdebian/stretch-backportsjessie-backports
Last change on this file since 71e9a5c was 4addf74, checked in by Daniel Kahn Gillmor <dkg@…>, 5 years ago

Imported Upstream version 0.7

  • Property mode set to 100644
File size: 46.2 KB
Line 
1# Makefile.in generated by automake 1.14.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18am__make_running_with_option = \
19  case $${target_option-} in \
20      ?) ;; \
21      *) echo "am__make_running_with_option: internal error: invalid" \
22              "target option '$${target_option-}' specified" >&2; \
23         exit 1;; \
24  esac; \
25  has_opt=no; \
26  sane_makeflags=$$MAKEFLAGS; \
27  if $(am__is_gnu_make); then \
28    sane_makeflags=$$MFLAGS; \
29  else \
30    case $$MAKEFLAGS in \
31      *\\[\ \   ]*) \
32        bs=\\; \
33        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
35    esac; \
36  fi; \
37  skip_next=no; \
38  strip_trailopt () \
39  { \
40    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41  }; \
42  for flg in $$sane_makeflags; do \
43    test $$skip_next = yes && { skip_next=no; continue; }; \
44    case $$flg in \
45      *=*|--*) continue;; \
46        -*I) strip_trailopt 'I'; skip_next=yes;; \
47      -*I?*) strip_trailopt 'I';; \
48        -*O) strip_trailopt 'O'; skip_next=yes;; \
49      -*O?*) strip_trailopt 'O';; \
50        -*l) strip_trailopt 'l'; skip_next=yes;; \
51      -*l?*) strip_trailopt 'l';; \
52      -[dEDm]) skip_next=yes;; \
53      -[JT]) skip_next=yes;; \
54    esac; \
55    case $$flg in \
56      *$$target_option*) has_opt=yes; break;; \
57    esac; \
58  done; \
59  test $$has_opt = yes
60am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62pkgdatadir = $(datadir)/@PACKAGE@
63pkgincludedir = $(includedir)/@PACKAGE@
64pkglibdir = $(libdir)/@PACKAGE@
65pkglibexecdir = $(libexecdir)/@PACKAGE@
66am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67install_sh_DATA = $(install_sh) -c -m 644
68install_sh_PROGRAM = $(install_sh) -c
69install_sh_SCRIPT = $(install_sh) -c
70INSTALL_HEADER = $(INSTALL_DATA)
71transform = $(program_transform_name)
72NORMAL_INSTALL = :
73PRE_INSTALL = :
74POST_INSTALL = :
75NORMAL_UNINSTALL = :
76PRE_UNINSTALL = :
77POST_UNINSTALL = :
78build_triplet = @build@
79host_triplet = @host@
80target_triplet = @target@
81@USE_MSVA_TRUE@am__append_1 = test-15_basic_msva.bash
82subdir = test
83DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
84        $(am__dist_check_SCRIPTS_DIST) \
85        $(top_srcdir)/config/test-driver README
86ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
87am__aclocal_m4_deps = $(top_srcdir)/m4/apache.m4 \
88        $(top_srcdir)/m4/apache_test.m4 \
89        $(top_srcdir)/m4/apr_memcache.m4 $(top_srcdir)/m4/libtool.m4 \
90        $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
91        $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
92        $(top_srcdir)/m4/outoforder.m4 $(top_srcdir)/configure.ac
93am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
94        $(ACLOCAL_M4)
95mkinstalldirs = $(install_sh) -d
96CONFIG_HEADER = $(top_builddir)/include/mod_gnutls_config.h
97CONFIG_CLEAN_FILES =
98CONFIG_CLEAN_VPATH_FILES =
99am__dist_check_SCRIPTS_DIST = test-00_basic.bash \
100        test-01_serverwide_priorities.bash test-02_cache_in_vhost.bash \
101        test-03_cachetimeout_in_vhost.bash test-04_basic_nosni.bash \
102        test-05_mismatched-priorities.bash test-06_verify_sni_a.bash \
103        test-07_verify_sni_b.bash \
104        test-08_verify_no_sni_fallback_to_first_vhost.bash \
105        test-09_verify_no_sni_fails_with_wrong_order.bash \
106        test-10_basic_client_verification.bash \
107        test-11_basic_client_verification_fail.bash \
108        test-12_cgi_variables.bash \
109        test-13_cgi_variables_no_client_cert.bash \
110        test-14_basic_openpgp.bash test-15_basic_msva.bash \
111        test-16_view-status.bash test-17_cgi_vars_large_cert.bash \
112        test-18_client_verification_wrong_cert.bash \
113        test-19_TLS_reverse_proxy.bash \
114        test-20_TLS_reverse_proxy_client_auth.bash \
115        test-21_TLS_reverse_proxy_wrong_cert.bash \
116        test-22_TLS_reverse_proxy_crl_revoke.bash \
117        test-23_TLS_reverse_proxy_mismatched_priorities.bash \
118        test-24_pkcs11_cert.bash
119AM_V_P = $(am__v_P_@AM_V@)
120am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
121am__v_P_0 = false
122am__v_P_1 = :
123AM_V_GEN = $(am__v_GEN_@AM_V@)
124am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
125am__v_GEN_0 = @echo "  GEN     " $@;
126am__v_GEN_1 =
127AM_V_at = $(am__v_at_@AM_V@)
128am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
129am__v_at_0 = @
130am__v_at_1 =
131SOURCES =
132DIST_SOURCES =
133RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
134        ctags-recursive dvi-recursive html-recursive info-recursive \
135        install-data-recursive install-dvi-recursive \
136        install-exec-recursive install-html-recursive \
137        install-info-recursive install-pdf-recursive \
138        install-ps-recursive install-recursive installcheck-recursive \
139        installdirs-recursive pdf-recursive ps-recursive \
140        tags-recursive uninstall-recursive
141am__can_run_installinfo = \
142  case $$AM_UPDATE_INFO_DIR in \
143    n|no|NO) false;; \
144    *) (install-info --version) >/dev/null 2>&1;; \
145  esac
146RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
147  distclean-recursive maintainer-clean-recursive
148am__recursive_targets = \
149  $(RECURSIVE_TARGETS) \
150  $(RECURSIVE_CLEAN_TARGETS) \
151  $(am__extra_recursive_targets)
152AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
153        check recheck distdir
154am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
155# Read a list of newline-separated strings from the standard input,
156# and print each of them once, without duplicates.  Input order is
157# *not* preserved.
158am__uniquify_input = $(AWK) '\
159  BEGIN { nonempty = 0; } \
160  { items[$$0] = 1; nonempty = 1; } \
161  END { if (nonempty) { for (i in items) print i; }; } \
162'
163# Make sure the list of sources is unique.  This is necessary because,
164# e.g., the same source file might be shared among _SOURCES variables
165# for different programs/libraries.
166am__define_uniq_tagged_files = \
167  list='$(am__tagged_files)'; \
168  unique=`for i in $$list; do \
169    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
170  done | $(am__uniquify_input)`
171ETAGS = etags
172CTAGS = ctags
173am__tty_colors_dummy = \
174  mgn= red= grn= lgn= blu= brg= std=; \
175  am__color_tests=no
176am__tty_colors = { \
177  $(am__tty_colors_dummy); \
178  if test "X$(AM_COLOR_TESTS)" = Xno; then \
179    am__color_tests=no; \
180  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
181    am__color_tests=yes; \
182  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
183    am__color_tests=yes; \
184  fi; \
185  if test $$am__color_tests = yes; then \
186    red='[0;31m'; \
187    grn='[0;32m'; \
188    lgn='[1;32m'; \
189    blu='[1;34m'; \
190    mgn='[0;35m'; \
191    brg='[1m'; \
192    std='[m'; \
193  fi; \
194}
195am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
196am__vpath_adj = case $$p in \
197    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
198    *) f=$$p;; \
199  esac;
200am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
201am__install_max = 40
202am__nobase_strip_setup = \
203  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
204am__nobase_strip = \
205  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
206am__nobase_list = $(am__nobase_strip_setup); \
207  for p in $$list; do echo "$$p $$p"; done | \
208  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
209  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
210    if (++n[$$2] == $(am__install_max)) \
211      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
212    END { for (dir in files) print dir, files[dir] }'
213am__base_list = \
214  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
215  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
216am__uninstall_files_from_dir = { \
217  test -z "$$files" \
218    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
219    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
220         $(am__cd) "$$dir" && rm -f $$files; }; \
221  }
222am__recheck_rx = ^[     ]*:recheck:[    ]*
223am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
224am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
225# A command that, given a newline-separated list of test names on the
226# standard input, print the name of the tests that are to be re-run
227# upon "make recheck".
228am__list_recheck_tests = $(AWK) '{ \
229  recheck = 1; \
230  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
231    { \
232      if (rc < 0) \
233        { \
234          if ((getline line2 < ($$0 ".log")) < 0) \
235            recheck = 0; \
236          break; \
237        } \
238      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
239        { \
240          recheck = 0; \
241          break; \
242        } \
243      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
244        { \
245          break; \
246        } \
247    }; \
248  if (recheck) \
249    print $$0; \
250  close ($$0 ".trs"); \
251  close ($$0 ".log"); \
252}'
253# A command that, given a newline-separated list of test names on the
254# standard input, create the global log from their .trs and .log files.
255am__create_global_log = $(AWK) ' \
256function fatal(msg) \
257{ \
258  print "fatal: making $@: " msg | "cat >&2"; \
259  exit 1; \
260} \
261function rst_section(header) \
262{ \
263  print header; \
264  len = length(header); \
265  for (i = 1; i <= len; i = i + 1) \
266    printf "="; \
267  printf "\n\n"; \
268} \
269{ \
270  copy_in_global_log = 1; \
271  global_test_result = "RUN"; \
272  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
273    { \
274      if (rc < 0) \
275         fatal("failed to read from " $$0 ".trs"); \
276      if (line ~ /$(am__global_test_result_rx)/) \
277        { \
278          sub("$(am__global_test_result_rx)", "", line); \
279          sub("[        ]*$$", "", line); \
280          global_test_result = line; \
281        } \
282      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
283        copy_in_global_log = 0; \
284    }; \
285  if (copy_in_global_log) \
286    { \
287      rst_section(global_test_result ": " $$0); \
288      while ((rc = (getline line < ($$0 ".log"))) != 0) \
289      { \
290        if (rc < 0) \
291          fatal("failed to read from " $$0 ".log"); \
292        print line; \
293      }; \
294      printf "\n"; \
295    }; \
296  close ($$0 ".trs"); \
297  close ($$0 ".log"); \
298}'
299# Restructured Text title.
300am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
301# Solaris 10 'make', and several other traditional 'make' implementations,
302# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
303# by disabling -e (using the XSI extension "set +e") if it's set.
304am__sh_e_setup = case $$- in *e*) set +e;; esac
305# Default flags passed to test drivers.
306am__common_driver_flags = \
307  --color-tests "$$am__color_tests" \
308  --enable-hard-errors "$$am__enable_hard_errors" \
309  --expect-failure "$$am__expect_failure"
310# To be inserted before the command running the test.  Creates the
311# directory for the log if needed.  Stores in $dir the directory
312# containing $f, in $tst the test, in $log the log.  Executes the
313# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
314# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
315# will run the test scripts (or their associated LOG_COMPILER, if
316# thy have one).
317am__check_pre = \
318$(am__sh_e_setup);                                      \
319$(am__vpath_adj_setup) $(am__vpath_adj)                 \
320$(am__tty_colors);                                      \
321srcdir=$(srcdir); export srcdir;                        \
322case "$@" in                                            \
323  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
324    *) am__odir=.;;                                     \
325esac;                                                   \
326test "x$$am__odir" = x"." || test -d "$$am__odir"       \
327  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
328if test -f "./$$f"; then dir=./;                        \
329elif test -f "$$f"; then dir=;                          \
330else dir="$(srcdir)/"; fi;                              \
331tst=$$dir$$f; log='$@';                                 \
332if test -n '$(DISABLE_HARD_ERRORS)'; then               \
333  am__enable_hard_errors=no;                            \
334else                                                    \
335  am__enable_hard_errors=yes;                           \
336fi;                                                     \
337case " $(XFAIL_TESTS) " in                              \
338  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
339    am__expect_failure=yes;;                            \
340  *)                                                    \
341    am__expect_failure=no;;                             \
342esac;                                                   \
343$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
344# A shell command to get the names of the tests scripts with any registered
345# extension removed (i.e., equivalently, the names of the test logs, with
346# the '.log' extension removed).  The result is saved in the shell variable
347# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
348# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
349# since that might cause problem with VPATH rewrites for suffix-less tests.
350# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
351am__set_TESTS_bases = \
352  bases='$(TEST_LOGS)'; \
353  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
354  bases=`echo $$bases`
355RECHECK_LOGS = $(TEST_LOGS)
356TEST_SUITE_LOG = test-suite.log
357TEST_EXTENSIONS = @EXEEXT@ .test
358LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
359LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
360am__set_b = \
361  case '$@' in \
362    */*) \
363      case '$*' in \
364        */*) b='$*';; \
365          *) b=`echo '$@' | sed 's/\.log$$//'`; \
366       esac;; \
367    *) \
368      b='$*';; \
369  esac
370am__test_logs1 = $(TESTS:=.log)
371am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
372TEST_LOGS = $(am__test_logs2:.test.log=.log)
373TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
374TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
375        $(TEST_LOG_FLAGS)
376DIST_SUBDIRS = $(SUBDIRS)
377DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
378am__relativize = \
379  dir0=`pwd`; \
380  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
381  sed_rest='s,^[^/]*/*,,'; \
382  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
383  sed_butlast='s,/*[^/]*$$,,'; \
384  while test -n "$$dir1"; do \
385    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
386    if test "$$first" != "."; then \
387      if test "$$first" = ".."; then \
388        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
389        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
390      else \
391        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
392        if test "$$first2" = "$$first"; then \
393          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
394        else \
395          dir2="../$$dir2"; \
396        fi; \
397        dir0="$$dir0"/"$$first"; \
398      fi; \
399    fi; \
400    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
401  done; \
402  reldir="$$dir2"
403ACLOCAL = @ACLOCAL@
404AMTAR = @AMTAR@
405AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
406APACHE2 = @APACHE2@
407APR_CFLAGS = @APR_CFLAGS@
408APR_CPPFLAGS = @APR_CPPFLAGS@
409APR_INCLUDES = @APR_INCLUDES@
410APR_LDFLAGS = @APR_LDFLAGS@
411APR_LIBS = @APR_LIBS@
412APR_LIBTOOL = @APR_LIBTOOL@
413APR_MEMCACHE_CFLAGS = @APR_MEMCACHE_CFLAGS@
414APR_MEMCACHE_LIBS = @APR_MEMCACHE_LIBS@
415APU_INCLUDES = @APU_INCLUDES@
416APU_LDFLAGS = @APU_LDFLAGS@
417APU_LIBS = @APU_LIBS@
418APU_LIBTOOL = @APU_LIBTOOL@
419APXS_BIN = @APXS_BIN@
420APXS_CFLAGS = @APXS_CFLAGS@
421APXS_EXTENSION = @APXS_EXTENSION@
422AP_BINDIR = @AP_BINDIR@
423AP_CFLAGS = @AP_CFLAGS@
424AP_CPPFLAGS = @AP_CPPFLAGS@
425AP_DEFS = @AP_DEFS@
426AP_INCLUDEDIR = @AP_INCLUDEDIR@
427AP_INCLUDES = @AP_INCLUDES@
428AP_LIBEXECDIR = @AP_LIBEXECDIR@
429AP_PREFIX = @AP_PREFIX@
430AP_SBINDIR = @AP_SBINDIR@
431AP_SYSCONFDIR = @AP_SYSCONFDIR@
432AP_VERSION = @AP_VERSION@
433AR = @AR@
434AUTOCONF = @AUTOCONF@
435AUTOHEADER = @AUTOHEADER@
436AUTOMAKE = @AUTOMAKE@
437AWK = @AWK@
438CC = @CC@
439CCDEPMODE = @CCDEPMODE@
440CFLAGS = @CFLAGS@
441CPP = @CPP@
442CPPFLAGS = @CPPFLAGS@
443CYGPATH_W = @CYGPATH_W@
444DEFS = @DEFS@
445DEPDIR = @DEPDIR@
446DLLTOOL = @DLLTOOL@
447DSYMUTIL = @DSYMUTIL@
448DUMPBIN = @DUMPBIN@
449ECHO_C = @ECHO_C@
450ECHO_N = @ECHO_N@
451ECHO_T = @ECHO_T@
452EGREP = @EGREP@
453EXEEXT = @EXEEXT@
454FGREP = @FGREP@
455GREP = @GREP@
456INSTALL = @INSTALL@
457INSTALL_DATA = @INSTALL_DATA@
458INSTALL_PROGRAM = @INSTALL_PROGRAM@
459INSTALL_SCRIPT = @INSTALL_SCRIPT@
460INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
461LD = @LD@
462LDFLAGS = @LDFLAGS@
463LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
464LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
465LIBOBJS = @LIBOBJS@
466LIBS = @LIBS@
467LIBTOOL = @LIBTOOL@
468LIPO = @LIPO@
469LN_S = @LN_S@
470LTLIBOBJS = @LTLIBOBJS@
471MAINT = @MAINT@
472MAKEINFO = @MAKEINFO@
473MANIFEST_TOOL = @MANIFEST_TOOL@
474MKDIR_P = @MKDIR_P@
475MODULE_CFLAGS = @MODULE_CFLAGS@
476MODULE_LIBS = @MODULE_LIBS@
477MOD_GNUTLS_VERSION = @MOD_GNUTLS_VERSION@
478NM = @NM@
479NMEDIT = @NMEDIT@
480OBJDUMP = @OBJDUMP@
481OBJEXT = @OBJEXT@
482OOO_MAINTAIN = @OOO_MAINTAIN@
483OTOOL = @OTOOL@
484OTOOL64 = @OTOOL64@
485PACKAGE = @PACKAGE@
486PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
487PACKAGE_NAME = @PACKAGE_NAME@
488PACKAGE_STRING = @PACKAGE_STRING@
489PACKAGE_TARNAME = @PACKAGE_TARNAME@
490PACKAGE_URL = @PACKAGE_URL@
491PACKAGE_VERSION = @PACKAGE_VERSION@
492PANDOC = @PANDOC@
493PATH_SEPARATOR = @PATH_SEPARATOR@
494PDFLATEX = @PDFLATEX@
495PKG_CONFIG = @PKG_CONFIG@
496PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
497PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
498RANLIB = @RANLIB@
499SED = @SED@
500SET_MAKE = @SET_MAKE@
501SHELL = @SHELL@
502STRIP = @STRIP@
503TEST_HOST = @TEST_HOST@
504TEST_IP = @TEST_IP@
505VERSION = @VERSION@
506abs_builddir = @abs_builddir@
507abs_srcdir = @abs_srcdir@
508abs_top_builddir = @abs_top_builddir@
509abs_top_srcdir = @abs_top_srcdir@
510ac_ct_AR = @ac_ct_AR@
511ac_ct_CC = @ac_ct_CC@
512ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
513am__include = @am__include@
514am__leading_dot = @am__leading_dot@
515am__quote = @am__quote@
516am__tar = @am__tar@
517am__untar = @am__untar@
518bindir = @bindir@
519build = @build@
520build_alias = @build_alias@
521build_cpu = @build_cpu@
522build_os = @build_os@
523build_vendor = @build_vendor@
524builddir = @builddir@
525datadir = @datadir@
526datarootdir = @datarootdir@
527docdir = @docdir@
528dvidir = @dvidir@
529exec_prefix = @exec_prefix@
530have_apr_memcache = @have_apr_memcache@
531host = @host@
532host_alias = @host_alias@
533host_cpu = @host_cpu@
534host_os = @host_os@
535host_vendor = @host_vendor@
536htmldir = @htmldir@
537includedir = @includedir@
538infodir = @infodir@
539install_sh = @install_sh@
540libdir = @libdir@
541libexecdir = @libexecdir@
542localedir = @localedir@
543localstatedir = @localstatedir@
544mandir = @mandir@
545mkdir_p = @mkdir_p@
546oldincludedir = @oldincludedir@
547pdfdir = @pdfdir@
548prefix = @prefix@
549program_transform_name = @program_transform_name@
550psdir = @psdir@
551sbindir = @sbindir@
552sharedstatedir = @sharedstatedir@
553srcdir = @srcdir@
554sysconfdir = @sysconfdir@
555target = @target@
556target_alias = @target_alias@
557target_cpu = @target_cpu@
558target_os = @target_os@
559target_vendor = @target_vendor@
560top_build_prefix = @top_build_prefix@
561top_builddir = @top_builddir@
562top_srcdir = @top_srcdir@
563SUBDIRS = tests
564dist_check_SCRIPTS = test-00_basic.bash \
565        test-01_serverwide_priorities.bash test-02_cache_in_vhost.bash \
566        test-03_cachetimeout_in_vhost.bash test-04_basic_nosni.bash \
567        test-05_mismatched-priorities.bash test-06_verify_sni_a.bash \
568        test-07_verify_sni_b.bash \
569        test-08_verify_no_sni_fallback_to_first_vhost.bash \
570        test-09_verify_no_sni_fails_with_wrong_order.bash \
571        test-10_basic_client_verification.bash \
572        test-11_basic_client_verification_fail.bash \
573        test-12_cgi_variables.bash \
574        test-13_cgi_variables_no_client_cert.bash \
575        test-14_basic_openpgp.bash $(am__append_1) \
576        test-16_view-status.bash test-17_cgi_vars_large_cert.bash \
577        test-18_client_verification_wrong_cert.bash \
578        test-19_TLS_reverse_proxy.bash \
579        test-20_TLS_reverse_proxy_client_auth.bash \
580        test-21_TLS_reverse_proxy_wrong_cert.bash \
581        test-22_TLS_reverse_proxy_crl_revoke.bash \
582        test-23_TLS_reverse_proxy_mismatched_priorities.bash \
583        test-24_pkcs11_cert.bash
584TESTS = $(dist_check_SCRIPTS)
585
586# Test cases trying to create keys and certificates in parallel causes
587# race conditions. Ensure that all keys and certificates are generated
588# before tests get to run.
589#
590# NOTE: Once the support files have been generated, test cases can be
591# run with multiple jobs, but real parallelization would require
592# dynamic port assignments. At the moment, lock files ensure that only
593# one Apache instance (possibly plus a proxy back end instance) is
594# running at any time, so test cases actually have to wait for each
595# other - just not in any particular order.
596
597# SoftHSM files
598check_DATA = setup.done server/crl.pem server/softhsm.db
599
600# Delete X.509 certificates and generated templates on "mostlyclean"
601# target. Certificates can be rebuilt without generating new key
602# pairs, and regenerating them makes it possible to change identities
603# (e.g. host names) without wasting entropy on new keys (which would
604# happen after "clean").
605
606# Delete PGP keyrings on "mostlyclean" target. They are created from
607# the X.509 private keys and certificates with an expiration time of
608# one day, so regenerating them is both fast and frequently
609# necessary.
610MOSTLYCLEANFILES = setup.done cache/* logs/* outputs/* server/crl.pem \
611        */x509.pem $(generated_templates) */*.pgp */*.gpg */*.gpg~ \
612        */gpg.conf tests/24_pkcs11_cert/softhsm.conf
613cert_templates = authority.template.in client.template.in \
614        imposter.template.in rogueca.template server.template.in
615
616generated_templates = authority.template client.template \
617        imposter.template server.template
618
619apache_data = base_apache.conf cgi_module.conf data/* mime.types proxy_mods.conf
620EXTRA_DIST = $(apache_data) $(cert_templates) *.uid.in proxy_backend.bash \
621        runtests server-crl.template server-softhsm.conf softhsm.bash \
622        TestMakefile
623
624
625# Maximum wait time in seconds for flock to aquire instance lock files
626lock_wait = 30
627AM_TESTS_ENVIRONMENT = export APACHE2=$(APACHE2); \
628        export AP_LIBEXECDIR=$(AP_LIBEXECDIR); \
629        export TEST_LOCK_WAIT=$(lock_wait); \
630        export TEST_HOST="$(TEST_HOST)"; \
631        export TEST_IP="$(TEST_IP)"; \
632        export BACKEND_HOST="$(TEST_HOST)"; \
633        export BACKEND_IP="$(TEST_IP)";
634
635all: all-recursive
636
637.SUFFIXES:
638.SUFFIXES: .log .test .test$(EXEEXT) .trs
639$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
640        @for dep in $?; do \
641          case '$(am__configure_deps)' in \
642            *$$dep*) \
643              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
644                && { if test -f $@; then exit 0; else break; fi; }; \
645              exit 1;; \
646          esac; \
647        done; \
648        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu test/Makefile'; \
649        $(am__cd) $(top_srcdir) && \
650          $(AUTOMAKE) --gnu test/Makefile
651.PRECIOUS: Makefile
652Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
653        @case '$?' in \
654          *config.status*) \
655            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
656          *) \
657            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
658            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
659        esac;
660
661$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
662        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
663
664$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
665        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
666$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
667        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
668$(am__aclocal_m4_deps):
669
670mostlyclean-libtool:
671        -rm -f *.lo
672
673clean-libtool:
674        -rm -rf .libs _libs
675
676# This directory's subdirectories are mostly independent; you can cd
677# into them and run 'make' without going through this Makefile.
678# To change the values of 'make' variables: instead of editing Makefiles,
679# (1) if the variable is set in 'config.status', edit 'config.status'
680#     (which will cause the Makefiles to be regenerated when you run 'make');
681# (2) otherwise, pass the desired values on the 'make' command line.
682$(am__recursive_targets):
683        @fail=; \
684        if $(am__make_keepgoing); then \
685          failcom='fail=yes'; \
686        else \
687          failcom='exit 1'; \
688        fi; \
689        dot_seen=no; \
690        target=`echo $@ | sed s/-recursive//`; \
691        case "$@" in \
692          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
693          *) list='$(SUBDIRS)' ;; \
694        esac; \
695        for subdir in $$list; do \
696          echo "Making $$target in $$subdir"; \
697          if test "$$subdir" = "."; then \
698            dot_seen=yes; \
699            local_target="$$target-am"; \
700          else \
701            local_target="$$target"; \
702          fi; \
703          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
704          || eval $$failcom; \
705        done; \
706        if test "$$dot_seen" = "no"; then \
707          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
708        fi; test -z "$$fail"
709
710ID: $(am__tagged_files)
711        $(am__define_uniq_tagged_files); mkid -fID $$unique
712tags: tags-recursive
713TAGS: tags
714
715tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
716        set x; \
717        here=`pwd`; \
718        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
719          include_option=--etags-include; \
720          empty_fix=.; \
721        else \
722          include_option=--include; \
723          empty_fix=; \
724        fi; \
725        list='$(SUBDIRS)'; for subdir in $$list; do \
726          if test "$$subdir" = .; then :; else \
727            test ! -f $$subdir/TAGS || \
728              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
729          fi; \
730        done; \
731        $(am__define_uniq_tagged_files); \
732        shift; \
733        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
734          test -n "$$unique" || unique=$$empty_fix; \
735          if test $$# -gt 0; then \
736            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
737              "$$@" $$unique; \
738          else \
739            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
740              $$unique; \
741          fi; \
742        fi
743ctags: ctags-recursive
744
745CTAGS: ctags
746ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
747        $(am__define_uniq_tagged_files); \
748        test -z "$(CTAGS_ARGS)$$unique" \
749          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
750             $$unique
751
752GTAGS:
753        here=`$(am__cd) $(top_builddir) && pwd` \
754          && $(am__cd) $(top_srcdir) \
755          && gtags -i $(GTAGS_ARGS) "$$here"
756cscopelist: cscopelist-recursive
757
758cscopelist-am: $(am__tagged_files)
759        list='$(am__tagged_files)'; \
760        case "$(srcdir)" in \
761          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
762          *) sdir=$(subdir)/$(srcdir) ;; \
763        esac; \
764        for i in $$list; do \
765          if test -f "$$i"; then \
766            echo "$(subdir)/$$i"; \
767          else \
768            echo "$$sdir/$$i"; \
769          fi; \
770        done >> $(top_builddir)/cscope.files
771
772distclean-tags:
773        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
774
775# Recover from deleted '.trs' file; this should ensure that
776# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
777# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
778# to avoid problems with "make -n".
779.log.trs:
780        rm -f $< $@
781        $(MAKE) $(AM_MAKEFLAGS) $<
782
783# Leading 'am--fnord' is there to ensure the list of targets does not
784# expand to empty, as could happen e.g. with make check TESTS=''.
785am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
786am--force-recheck:
787        @:
788
789$(TEST_SUITE_LOG): $(TEST_LOGS)
790        @$(am__set_TESTS_bases); \
791        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
792        redo_bases=`for i in $$bases; do \
793                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
794                    done`; \
795        if test -n "$$redo_bases"; then \
796          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
797          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
798          if $(am__make_dryrun); then :; else \
799            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
800          fi; \
801        fi; \
802        if test -n "$$am__remaking_logs"; then \
803          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
804               "recursion detected" >&2; \
805        else \
806          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
807        fi; \
808        if $(am__make_dryrun); then :; else \
809          st=0;  \
810          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
811          for i in $$redo_bases; do \
812            test -f $$i.trs && test -r $$i.trs \
813              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
814            test -f $$i.log && test -r $$i.log \
815              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
816          done; \
817          test $$st -eq 0 || exit 1; \
818        fi
819        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
820        ws='[   ]'; \
821        results=`for b in $$bases; do echo $$b.trs; done`; \
822        test -n "$$results" || results=/dev/null; \
823        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
824        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
825        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
826        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
827        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
828        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
829        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
830        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
831          success=true; \
832        else \
833          success=false; \
834        fi; \
835        br='==================='; br=$$br$$br$$br$$br; \
836        result_count () \
837        { \
838            if test x"$$1" = x"--maybe-color"; then \
839              maybe_colorize=yes; \
840            elif test x"$$1" = x"--no-color"; then \
841              maybe_colorize=no; \
842            else \
843              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
844            fi; \
845            shift; \
846            desc=$$1 count=$$2; \
847            if test $$maybe_colorize = yes && test $$count -gt 0; then \
848              color_start=$$3 color_end=$$std; \
849            else \
850              color_start= color_end=; \
851            fi; \
852            echo "$${color_start}# $$desc $$count$${color_end}"; \
853        }; \
854        create_testsuite_report () \
855        { \
856          result_count $$1 "TOTAL:" $$all   "$$brg"; \
857          result_count $$1 "PASS: " $$pass  "$$grn"; \
858          result_count $$1 "SKIP: " $$skip  "$$blu"; \
859          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
860          result_count $$1 "FAIL: " $$fail  "$$red"; \
861          result_count $$1 "XPASS:" $$xpass "$$red"; \
862          result_count $$1 "ERROR:" $$error "$$mgn"; \
863        }; \
864        {                                                               \
865          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
866            $(am__rst_title);                                           \
867          create_testsuite_report --no-color;                           \
868          echo;                                                         \
869          echo ".. contents:: :depth: 2";                               \
870          echo;                                                         \
871          for b in $$bases; do echo $$b; done                           \
872            | $(am__create_global_log);                                 \
873        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
874        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
875        if $$success; then                                              \
876          col="$$grn";                                                  \
877         else                                                           \
878          col="$$red";                                                  \
879          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
880        fi;                                                             \
881        echo "$${col}$$br$${std}";                                      \
882        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
883        echo "$${col}$$br$${std}";                                      \
884        create_testsuite_report --maybe-color;                          \
885        echo "$$col$$br$$std";                                          \
886        if $$success; then :; else                                      \
887          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
888          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
889            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
890          fi;                                                           \
891          echo "$$col$$br$$std";                                        \
892        fi;                                                             \
893        $$success || exit 1
894
895check-TESTS:
896        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
897        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
898        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
899        @set +e; $(am__set_TESTS_bases); \
900        log_list=`for i in $$bases; do echo $$i.log; done`; \
901        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
902        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
903        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
904        exit $$?;
905recheck: all $(dist_check_SCRIPTS) $(check_DATA)
906        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
907        @set +e; $(am__set_TESTS_bases); \
908        bases=`for i in $$bases; do echo $$i; done \
909                 | $(am__list_recheck_tests)` || exit 1; \
910        log_list=`for i in $$bases; do echo $$i.log; done`; \
911        log_list=`echo $$log_list`; \
912        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
913                am__force_recheck=am--force-recheck \
914                TEST_LOGS="$$log_list"; \
915        exit $$?
916test-00_basic.bash.log: test-00_basic.bash
917        @p='test-00_basic.bash'; \
918        b='test-00_basic.bash'; \
919        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
920        --log-file $$b.log --trs-file $$b.trs \
921        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
922        "$$tst" $(AM_TESTS_FD_REDIRECT)
923test-01_serverwide_priorities.bash.log: test-01_serverwide_priorities.bash
924        @p='test-01_serverwide_priorities.bash'; \
925        b='test-01_serverwide_priorities.bash'; \
926        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
927        --log-file $$b.log --trs-file $$b.trs \
928        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
929        "$$tst" $(AM_TESTS_FD_REDIRECT)
930test-02_cache_in_vhost.bash.log: test-02_cache_in_vhost.bash
931        @p='test-02_cache_in_vhost.bash'; \
932        b='test-02_cache_in_vhost.bash'; \
933        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
934        --log-file $$b.log --trs-file $$b.trs \
935        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
936        "$$tst" $(AM_TESTS_FD_REDIRECT)
937test-03_cachetimeout_in_vhost.bash.log: test-03_cachetimeout_in_vhost.bash
938        @p='test-03_cachetimeout_in_vhost.bash'; \
939        b='test-03_cachetimeout_in_vhost.bash'; \
940        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
941        --log-file $$b.log --trs-file $$b.trs \
942        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
943        "$$tst" $(AM_TESTS_FD_REDIRECT)
944test-04_basic_nosni.bash.log: test-04_basic_nosni.bash
945        @p='test-04_basic_nosni.bash'; \
946        b='test-04_basic_nosni.bash'; \
947        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
948        --log-file $$b.log --trs-file $$b.trs \
949        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
950        "$$tst" $(AM_TESTS_FD_REDIRECT)
951test-05_mismatched-priorities.bash.log: test-05_mismatched-priorities.bash
952        @p='test-05_mismatched-priorities.bash'; \
953        b='test-05_mismatched-priorities.bash'; \
954        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
955        --log-file $$b.log --trs-file $$b.trs \
956        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
957        "$$tst" $(AM_TESTS_FD_REDIRECT)
958test-06_verify_sni_a.bash.log: test-06_verify_sni_a.bash
959        @p='test-06_verify_sni_a.bash'; \
960        b='test-06_verify_sni_a.bash'; \
961        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
962        --log-file $$b.log --trs-file $$b.trs \
963        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
964        "$$tst" $(AM_TESTS_FD_REDIRECT)
965test-07_verify_sni_b.bash.log: test-07_verify_sni_b.bash
966        @p='test-07_verify_sni_b.bash'; \
967        b='test-07_verify_sni_b.bash'; \
968        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
969        --log-file $$b.log --trs-file $$b.trs \
970        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
971        "$$tst" $(AM_TESTS_FD_REDIRECT)
972test-08_verify_no_sni_fallback_to_first_vhost.bash.log: test-08_verify_no_sni_fallback_to_first_vhost.bash
973        @p='test-08_verify_no_sni_fallback_to_first_vhost.bash'; \
974        b='test-08_verify_no_sni_fallback_to_first_vhost.bash'; \
975        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
976        --log-file $$b.log --trs-file $$b.trs \
977        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
978        "$$tst" $(AM_TESTS_FD_REDIRECT)
979test-09_verify_no_sni_fails_with_wrong_order.bash.log: test-09_verify_no_sni_fails_with_wrong_order.bash
980        @p='test-09_verify_no_sni_fails_with_wrong_order.bash'; \
981        b='test-09_verify_no_sni_fails_with_wrong_order.bash'; \
982        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
983        --log-file $$b.log --trs-file $$b.trs \
984        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
985        "$$tst" $(AM_TESTS_FD_REDIRECT)
986test-10_basic_client_verification.bash.log: test-10_basic_client_verification.bash
987        @p='test-10_basic_client_verification.bash'; \
988        b='test-10_basic_client_verification.bash'; \
989        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
990        --log-file $$b.log --trs-file $$b.trs \
991        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
992        "$$tst" $(AM_TESTS_FD_REDIRECT)
993test-11_basic_client_verification_fail.bash.log: test-11_basic_client_verification_fail.bash
994        @p='test-11_basic_client_verification_fail.bash'; \
995        b='test-11_basic_client_verification_fail.bash'; \
996        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
997        --log-file $$b.log --trs-file $$b.trs \
998        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
999        "$$tst" $(AM_TESTS_FD_REDIRECT)
1000test-12_cgi_variables.bash.log: test-12_cgi_variables.bash
1001        @p='test-12_cgi_variables.bash'; \
1002        b='test-12_cgi_variables.bash'; \
1003        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1004        --log-file $$b.log --trs-file $$b.trs \
1005        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1006        "$$tst" $(AM_TESTS_FD_REDIRECT)
1007test-13_cgi_variables_no_client_cert.bash.log: test-13_cgi_variables_no_client_cert.bash
1008        @p='test-13_cgi_variables_no_client_cert.bash'; \
1009        b='test-13_cgi_variables_no_client_cert.bash'; \
1010        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1011        --log-file $$b.log --trs-file $$b.trs \
1012        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1013        "$$tst" $(AM_TESTS_FD_REDIRECT)
1014test-14_basic_openpgp.bash.log: test-14_basic_openpgp.bash
1015        @p='test-14_basic_openpgp.bash'; \
1016        b='test-14_basic_openpgp.bash'; \
1017        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1018        --log-file $$b.log --trs-file $$b.trs \
1019        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1020        "$$tst" $(AM_TESTS_FD_REDIRECT)
1021test-15_basic_msva.bash.log: test-15_basic_msva.bash
1022        @p='test-15_basic_msva.bash'; \
1023        b='test-15_basic_msva.bash'; \
1024        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1025        --log-file $$b.log --trs-file $$b.trs \
1026        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1027        "$$tst" $(AM_TESTS_FD_REDIRECT)
1028test-16_view-status.bash.log: test-16_view-status.bash
1029        @p='test-16_view-status.bash'; \
1030        b='test-16_view-status.bash'; \
1031        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1032        --log-file $$b.log --trs-file $$b.trs \
1033        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1034        "$$tst" $(AM_TESTS_FD_REDIRECT)
1035test-17_cgi_vars_large_cert.bash.log: test-17_cgi_vars_large_cert.bash
1036        @p='test-17_cgi_vars_large_cert.bash'; \
1037        b='test-17_cgi_vars_large_cert.bash'; \
1038        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1039        --log-file $$b.log --trs-file $$b.trs \
1040        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1041        "$$tst" $(AM_TESTS_FD_REDIRECT)
1042test-18_client_verification_wrong_cert.bash.log: test-18_client_verification_wrong_cert.bash
1043        @p='test-18_client_verification_wrong_cert.bash'; \
1044        b='test-18_client_verification_wrong_cert.bash'; \
1045        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1046        --log-file $$b.log --trs-file $$b.trs \
1047        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1048        "$$tst" $(AM_TESTS_FD_REDIRECT)
1049test-19_TLS_reverse_proxy.bash.log: test-19_TLS_reverse_proxy.bash
1050        @p='test-19_TLS_reverse_proxy.bash'; \
1051        b='test-19_TLS_reverse_proxy.bash'; \
1052        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1053        --log-file $$b.log --trs-file $$b.trs \
1054        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1055        "$$tst" $(AM_TESTS_FD_REDIRECT)
1056test-20_TLS_reverse_proxy_client_auth.bash.log: test-20_TLS_reverse_proxy_client_auth.bash
1057        @p='test-20_TLS_reverse_proxy_client_auth.bash'; \
1058        b='test-20_TLS_reverse_proxy_client_auth.bash'; \
1059        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1060        --log-file $$b.log --trs-file $$b.trs \
1061        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1062        "$$tst" $(AM_TESTS_FD_REDIRECT)
1063test-21_TLS_reverse_proxy_wrong_cert.bash.log: test-21_TLS_reverse_proxy_wrong_cert.bash
1064        @p='test-21_TLS_reverse_proxy_wrong_cert.bash'; \
1065        b='test-21_TLS_reverse_proxy_wrong_cert.bash'; \
1066        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1067        --log-file $$b.log --trs-file $$b.trs \
1068        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1069        "$$tst" $(AM_TESTS_FD_REDIRECT)
1070test-22_TLS_reverse_proxy_crl_revoke.bash.log: test-22_TLS_reverse_proxy_crl_revoke.bash
1071        @p='test-22_TLS_reverse_proxy_crl_revoke.bash'; \
1072        b='test-22_TLS_reverse_proxy_crl_revoke.bash'; \
1073        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1074        --log-file $$b.log --trs-file $$b.trs \
1075        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1076        "$$tst" $(AM_TESTS_FD_REDIRECT)
1077test-23_TLS_reverse_proxy_mismatched_priorities.bash.log: test-23_TLS_reverse_proxy_mismatched_priorities.bash
1078        @p='test-23_TLS_reverse_proxy_mismatched_priorities.bash'; \
1079        b='test-23_TLS_reverse_proxy_mismatched_priorities.bash'; \
1080        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1081        --log-file $$b.log --trs-file $$b.trs \
1082        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1083        "$$tst" $(AM_TESTS_FD_REDIRECT)
1084test-24_pkcs11_cert.bash.log: test-24_pkcs11_cert.bash
1085        @p='test-24_pkcs11_cert.bash'; \
1086        b='test-24_pkcs11_cert.bash'; \
1087        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1088        --log-file $$b.log --trs-file $$b.trs \
1089        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1090        "$$tst" $(AM_TESTS_FD_REDIRECT)
1091.test.log:
1092        @p='$<'; \
1093        $(am__set_b); \
1094        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1095        --log-file $$b.log --trs-file $$b.trs \
1096        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1097        "$$tst" $(AM_TESTS_FD_REDIRECT)
1098@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1099@am__EXEEXT_TRUE@       @p='$<'; \
1100@am__EXEEXT_TRUE@       $(am__set_b); \
1101@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1102@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1103@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1104@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1105
1106distdir: $(DISTFILES)
1107        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1108        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1109        list='$(DISTFILES)'; \
1110          dist_files=`for file in $$list; do echo $$file; done | \
1111          sed -e "s|^$$srcdirstrip/||;t" \
1112              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1113        case $$dist_files in \
1114          */*) $(MKDIR_P) `echo "$$dist_files" | \
1115                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1116                           sort -u` ;; \
1117        esac; \
1118        for file in $$dist_files; do \
1119          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1120          if test -d $$d/$$file; then \
1121            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1122            if test -d "$(distdir)/$$file"; then \
1123              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1124            fi; \
1125            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1126              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1127              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1128            fi; \
1129            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1130          else \
1131            test -f "$(distdir)/$$file" \
1132            || cp -p $$d/$$file "$(distdir)/$$file" \
1133            || exit 1; \
1134          fi; \
1135        done
1136        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1137          if test "$$subdir" = .; then :; else \
1138            $(am__make_dryrun) \
1139              || test -d "$(distdir)/$$subdir" \
1140              || $(MKDIR_P) "$(distdir)/$$subdir" \
1141              || exit 1; \
1142            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1143            $(am__relativize); \
1144            new_distdir=$$reldir; \
1145            dir1=$$subdir; dir2="$(top_distdir)"; \
1146            $(am__relativize); \
1147            new_top_distdir=$$reldir; \
1148            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1149            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1150            ($(am__cd) $$subdir && \
1151              $(MAKE) $(AM_MAKEFLAGS) \
1152                top_distdir="$$new_top_distdir" \
1153                distdir="$$new_distdir" \
1154                am__remove_distdir=: \
1155                am__skip_length_check=: \
1156                am__skip_mode_fix=: \
1157                distdir) \
1158              || exit 1; \
1159          fi; \
1160        done
1161check-am: all-am
1162        $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS) $(check_DATA)
1163        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1164check: check-recursive
1165all-am: Makefile
1166installdirs: installdirs-recursive
1167installdirs-am:
1168install: install-recursive
1169install-exec: install-exec-recursive
1170install-data: install-data-recursive
1171uninstall: uninstall-recursive
1172
1173install-am: all-am
1174        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1175
1176installcheck: installcheck-recursive
1177install-strip:
1178        if test -z '$(STRIP)'; then \
1179          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1180            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1181              install; \
1182        else \
1183          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1184            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1185            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1186        fi
1187mostlyclean-generic:
1188        -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1189        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1190        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1191        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1192
1193clean-generic:
1194
1195distclean-generic:
1196        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1197        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1198
1199maintainer-clean-generic:
1200        @echo "This command is intended for maintainers to use"
1201        @echo "it deletes files that may require special tools to rebuild."
1202clean: clean-recursive
1203
1204clean-am: clean-generic clean-libtool clean-local mostlyclean-am
1205
1206distclean: distclean-recursive
1207        -rm -f Makefile
1208distclean-am: clean-am distclean-generic distclean-tags
1209
1210dvi: dvi-recursive
1211
1212dvi-am:
1213
1214html: html-recursive
1215
1216html-am:
1217
1218info: info-recursive
1219
1220info-am:
1221
1222install-data-am:
1223
1224install-dvi: install-dvi-recursive
1225
1226install-dvi-am:
1227
1228install-exec-am:
1229
1230install-html: install-html-recursive
1231
1232install-html-am:
1233
1234install-info: install-info-recursive
1235
1236install-info-am:
1237
1238install-man:
1239
1240install-pdf: install-pdf-recursive
1241
1242install-pdf-am:
1243
1244install-ps: install-ps-recursive
1245
1246install-ps-am:
1247
1248installcheck-am:
1249
1250maintainer-clean: maintainer-clean-recursive
1251        -rm -f Makefile
1252maintainer-clean-am: distclean-am maintainer-clean-generic
1253
1254mostlyclean: mostlyclean-recursive
1255
1256mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1257
1258pdf: pdf-recursive
1259
1260pdf-am:
1261
1262ps: ps-recursive
1263
1264ps-am:
1265
1266uninstall-am:
1267
1268.MAKE: $(am__recursive_targets) check-am install-am install-strip
1269
1270.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1271        check-TESTS check-am clean clean-generic clean-libtool \
1272        clean-local cscopelist-am ctags ctags-am distclean \
1273        distclean-generic distclean-libtool distclean-tags distdir dvi \
1274        dvi-am html html-am info info-am install install-am \
1275        install-data install-data-am install-dvi install-dvi-am \
1276        install-exec install-exec-am install-html install-html-am \
1277        install-info install-info-am install-man install-pdf \
1278        install-pdf-am install-ps install-ps-am install-strip \
1279        installcheck installcheck-am installdirs installdirs-am \
1280        maintainer-clean maintainer-clean-generic mostlyclean \
1281        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1282        recheck tags tags-am uninstall uninstall-am
1283
1284
1285clean-local:
1286        $(MAKE) -f $(srcdir)/TestMakefile $(AM_MAKEFLAGS) clean
1287
1288# This rule can be used for any TestMakefile target not included in
1289# setup.done. The dependency on setup.done is used to avoid race
1290# conditions between multiple calls to TestMakefile for key and
1291# certificate generation. It is ignored for setup.done itself.
1292server/crl.pem server/softhsm.db setup.done: setup.done
1293        TEST_HOST="$(TEST_HOST)" TEST_IP="$(TEST_IP)" srcdir=$(srcdir) \
1294        $(MAKE) -f $(srcdir)/TestMakefile $(AM_MAKEFLAGS) $@
1295
1296# Tell versions [3.59,3.63) of GNU make to not export all variables.
1297# Otherwise a system limit (for SysV at least) may be exceeded.
1298.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.